﻿<!DOCTYPE html>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8" />
    <title></title>

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">


    <link rel="stylesheet" href="../css/style.css" />
    <link rel="stylesheet" href="../css/bootstrap/bootstrap-flex.css" />

    <script src="../js/angular.min.js" type="text/javascript"></script>
    <script src="../js/jquery.min.js" type="text/javascript"></script>
    <script src="../js/tether.js" type="text/javascript"></script>
    <script src="../js/bootstrap.min.js" type="text/javascript"></script>

    <script src="../js/angular/app.js" type="text/javascript"></script>
    <script src="../js/angular/controllers/login.js" type="text/javascript"></script>
</head>
<body ng-app="oversight" ng-controller="loginController">
    <div class="login-body col-lg-12 row flex-items-lg-middle flex-items-xs-center">
        <div class="col-lg-10 col-lg-offset-1">
            <div class="col-lg-6">
                <div class="login-window row">
                    <div class="row col-lg-12">
                        <div class="profile-image col-lg-3">
                            <img src="../img/login-profile-photo.png" />
                        </div>
                            <div class="login-form col-lg-4 flex-items-xs-center" ng-show="step == 'login'">
                                <form role="form">
                                    <div class="form-group">
                                        <input type="text" class="form-control" placeholder="ЛОГИН" ng-model="formData.login"/>
                                    </div>

                                    <div class="form-group">
                                        <input type="text" class="form-control" placeholder="ПАРОЛЬ" ng-model="formData.password"/>
                                    </div>

                                    <div class="alert alert-danger" ng-show="!logInResult">
                                        Неверный логин или пароль
                                    </div>

                                    <button class="btn btn-info text-uppercase" ng-click="processLogIn()">Войти</button>
                                </form>
                            </div>
                            <div class="register-info col-lg-5 text-center" ng-show="step == 'login'">
                                <h3>Регистрация</h3>
                                <p>Пройдите 30 секундную регистрацию и начните свою жизнь на Oversight</p>
                                <button class="btn btn-success text-uppercase" ng-click="step = 'registration'">
                                    Регистрация
                                </button>
                            </div>
                            <div class="login-form col-lg-8 row" ng-show="step == 'registration'">
                                <form role="form" class="col-lg-12 row">
                                    <div class="col-lg-12">
                                        <div class="form-group">
                                            <input type="text" class="form-control" ng-model="regData.login" placeholder="Логин"/>
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control" ng-model="regData.name" placeholder="Имя персонажа"/>
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control" ng-model="regData.surname" placeholder="Фамилия персонажа"/>
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control" ng-model="regData.password" placeholder="Пароль" />
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control" ng-model="regData.repeatedPassword" placeholder="Повторите пароль" />
                                        </div>
                                    </div>

                                    <div class="col-lg-12">
                                        <div class="form-group">
                                            <input type="text" class="form-control" ng-model="regData.email" placeholder="E-mail" />
                                        </div>
                                    </div>

                                    <div class="alert alert-danger" ng-show="regData.errorMessage">
                                        {{regData.errorMessage}}
                                    </div>
                                    <div class="col-lg-12">
                                        <button class="btn btn-info" ng-click="processRegistration()">Зарегистрироваться</button>
                                    </div>
                                </form>
                            </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">

            </div>
        </div>
    </div>
</body>
</html>